Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2249055 - Domoticz failure during start: Fatal Python error: PyImport_AppendInittab: PyImport_AppendInittab() may not be called after Py_Initialize
Summary: Domoticz failure during start: Fatal Python error: PyImport_AppendInittab: Py...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: domoticz
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-11-10 13:19 UTC by Dick Marinus
Modified: 2023-11-19 01:24 UTC (History)
1 user (show)

Fixed In Version: domoticz-2023.2-1.fc39
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-19 01:24:25 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Dick Marinus 2023-11-10 13:19:46 UTC
Description of problem:


Version-Release number of selected component (if applicable): domoticz-2022.1-11.fc39.x86_64


How reproducible:


Steps to Reproduce:
1. Install domoticz
2. /usr/bin/domoticz

Actual results:

Fatal Python error: PyImport_AppendInittab: PyImport_AppendInittab() may not be called after Py_Initialize()
Python runtime state: initialized

Current thread 0x00007efcbf7c1100 (most recent call first):
  <no Python frame>



Expected results:

Domoticz starts

Comment 1 Fedora Update System 2023-11-10 21:17:17 UTC
FEDORA-2023-f921d56a34 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f921d56a34

Comment 2 Fedora Update System 2023-11-11 02:32:04 UTC
FEDORA-2023-f921d56a34 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f921d56a34`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f921d56a34

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2023-11-19 01:24:25 UTC
FEDORA-2023-f921d56a34 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.